<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_12</title>
</head>
<body>
    <h1>Ejercicio 12</h1>
    <script>
    /*12) Programa una función que determine si un número es primo (aquel que 
    solo es divisible por sí mismo y 1) o no, pe. miFuncion(7) devolverá true.*/

    const numPrimo = (num = undefined) => {

        if (num === undefined) return console.warn("No se ingreso un numero");
        if (typeof num !== "number") 
           return console.warn(`El valor ingresado: ${num} no es un numero`);
        if (num === 0) return console.warn("El numero no puede ser '0'");
        if (num === 1) return console.warn("El numero no puede ser '1'"); //se añadio
        if (Math.sign(num) === -1) 
           return console.warn("No se puede ingresar un numero negativo");

        let divisible = false; //se añadio

        for (var i = 2; i < num; i++) {
            if ( (num % i) === 0 ) {
                divisible = true;
                break;
            }
        }
        return (divisible)
           ? console.log(`El Numero ${num} NO es Primo`)
           : console.log(`El Numero ${num} es Primo`);        
    }

    numPrimo(7);
    numPrimo();
    numPrimo(0);
    numPrimo(4);


    </script>
    
</body>
</html>